# Infinite Resource Nodes for Dyson Sphere Program

**DSP Infinite Resource Nodes** is a mod for the Unity game Dyson Sphere Program developed by Youthcat Studio and published by Gamera Game.  The game is available on [here](https://store.steampowered.com/app/1366540/Dyson_Sphere_Program/).

With this mod resource nodes will produce unlimited resources.  Works with all resource node types when mined with either the miner or by Icarus.  Tired of node resource running out, and having to move and rebalance your miners?  If so, this mod's for you.  With this mod resource node functionality will work more like [Satisfactory](https://www.satisfactorygame.com/).

This mod works with existing saves.  It is not necessary to generate a new world.

The number of resource nodes will remain unchanged.  The rate at which you can pull resources out of a node is still limited.  This mod does not and will not change these game features.

If you like this mod, please click the thumbs up at the [top of the page](https://dsp.thunderstore.io/package/GreyHak/DSP_Infinite_Resource_Nodes/) (next to the Total rating).  That would be a nice thank you for me, and help other people to find a mod you enjoy.

If you have issues with this mod, please report them on [GitHub](https://github.com/GreyHak/dsp-infinite-resource-nodes/issues).  You can also contact me at GreyHak#2995 on the [DSP Modding](https://discord.gg/XxhyTNte) Discord #tech-support channel.

## Installation
This mod uses the BepInEx mod patch framework.  So BepInEx must be installed to use this mod.  Find details for installing BepInEx [in their user guide](https://bepinex.github.io/bepinex_docs/master/articles/user_guide/installation/index.html#installing-bepinex-1).  This mod was tested with BepInEx x64 5.4.11.0 and Dyson Sphere Program 0.8.21.8562 on Windows 10.

To manually install this mod, add the `DSPInfiniteResourceNodes.dll` to your `%PROGRAMFILES(X86)%\Steam\steamapps\common\Dyson Sphere Program\BepInEx\patchers\` folder.

This mod can also be installed using ebkr's [r2modman](https://dsp.thunderstore.io/package/ebkr/r2modman/) mod manager by clicking "Install with Mod Manager" on the [DSP Modding](https://dsp.thunderstore.io/package/GreyHak/DSP_Infinite_Resource_Nodes/) site.

## Open Source
The source code for this mod is available for download, review and forking on GitHub [here](https://github.com/GreyHak/dsp-infinite-resource-nodes) under the BSD 3 clause license.

## Change Log
### v1.1.3
 - Will now run with Dyson Sphere Program 0.8.21.8562 update.
### v1.1.2
 - Will now run with Dyson Sphere Program 0.7.18.6931 update.  New assembly generated.
### v1.1.1
 - Updated for the recent Dyson Sphere Program [0.6.17.6137 update](https://store.steampowered.com/news/app/1366540/view/3031460028349817002).
### v1.1.0
 - Updated for the recent Dyson Sphere Program [0.6.17.5972 update](https://store.steampowered.com/news/app/1366540/view/3056228558787535044).  Improved this mod's tolerance for game updates, so it will be less susceptible to breakage.
### v1.0.0
 - Initial release.
